all: publish/linux-x64 publish/linux-arm publish/linux-arm64 publish/win-x86 publish/win-x64 publish/win-arm64 publish/osx-x64 publish/osx-arm64 publish/mono
	
publish/mono:
	mkdir -p publish/mono || true && cd "TYTDLite.ServerNetFwMono" && dotnet publish -c Release -o ../publish/mono && cd ../publish/mono && tar cvzf ../mono.tar.gz . && zip -r ../mono.zip . && rm -r * && mv ../mono.tar.gz . && mv ../mono.zip .
publish/%:
	mkdir -p $@ || true && cd "TYTDLite.ServerCli" && dotnet publish -c Release -o ../$@ --self-contained -p:PublishReadyToRun=true -p:PublishSingleFile=true -r $(notdir $@)

